Page MenuHomeLubuntu Development

migrate from compton to picom
Open, NormalPublic

Description

Currently compton recommends picom (previously known as yshui's compton fork) so we're shipping both right now. There are many deprecated options in the default compton config (i.e. they were appropriate for compton but dropped in picom) and it causes silent failure (unless you run from command line).

In other news, compton-conf is now archived upstream and should be considered dead. I think we should consider not shipping this or making it our baby.

  • use picom instead of compton in seed
  • figure out config
    • it will read from compton.conf or picom.conf
    • only samples are installed in /usr/share/doc/{picom|compton}/examples/{picom|compton}.example.conf
    • that said, it SHOULD work out of the box
  • check compton-conf to see if it can set any deprecated values
    • if so, we have bugs to fix or we need to drop it
    • similarly, there are likely values it can't set that are unique to picom and that would mean fixing bugs or dropping it

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone

Event Timeline

wxl triaged this task as Normal priority.Jul 26 2019, 5:46 AM
wxl created this task.

Since we don't enable it by default, I'm going to put this with the 20.10 metatask. It's fairly low priority.

I have to say after having never really bothered with Compton, I'm glad I finally got it going. Screen tearing never bothered me until I didn't have it. A user was having problems getting standard Compton to do this very basic thing, probably due to sufficient device support. I would urge to push this up to 20.04.

I say we either switch to the fork before 19.10 is released or after 20.04 is released. I'm uncomfortable making such a change in the 20.04 cycle.

What do you think about just shoving it through 19.10 if:

  1. I can get it to build in a PPA, so we can be sure that builds on all architectures.
  2. I can get sufficient testing on a variety of hardware?

Ok so shifting this back to 19.10 until we can confirm we want to move out, in which case we'll aim for 20.10.

So I took the packaging for the current compton and tweaked it for the new one. I was freaked they use meson to build but it seems dh is all good with that. They do have a test.h submodule that's part of the build process that is going to included in the next release, due no later than next week. It was serendipity that while trying to figure that out, I noticed that in that same issue, someone had mentioned all the Ubuntu depends. So I trashed the old ones and used the new ones. I also dropped all the old patches. The only patch is the one for test.h.

There's some lintian stuff that would be nice to clean up and likely some other things (who's the maintainer now?), but otherwise we should be good.

It's in my test PPA. I have not tested this heavily so PLEASE DO SO. We want as many pieces of graphical hardware to hit this as possible. Please include (in the description, so it's readily viewable) the hardware used. The graphics card information and the model of the computer should suffice.

My testing results are :-

driver=radeon devices didn't like it (compton just made the box horridly slow; mouse movements were okay, but text input (typing), selecting text in browser/editor/term just caused long pause before it appeared in spurts slowly catching up). The non-testy ppa version didn't have this effect...
dell [optiplex] 780 (c2q-q9400, 8gb, amd/ati cedar radeon hd 5000/6000/7350/8350); little changed 19.10
dell [optiplex] 960 (c2q-q9400, 8gb, amd/ati cedar radeon hd 5000/6000/7350/8350); heavily modified/used installed 19.10
d960 re-tested after compton update noted
dell [optiplex] 755 (c2d-e6850, 5gb, amd/ati radeon rv516/x1300/x1550) - 'live' 20190818 used
dell [optiplex] 755 (c2d-e8300, 8gb, amd/ati radeon rv610/radeon hd2400 pro/xt) - 'live' 20190818 used

slower performance (noticable, but not as bad as above but very subjective, but still so you'd avoid using it)
dell [optiplex] 745 (c2d-6600 ,6gb, amd/ati radeon rv516/x1300/x1550) 'live' used, daily 20190819
// I note one of the 755s is listed as this type of card too?!! though it won't be identical as the 755 cards won't fit in this 745 [smaller form factor] case

(fyi: the radeon didn't appear to be slowed down equally, but this would be very subjective. the d780/d960 were worst [my favored systems] some lesser so & d745 by itself the least -- however this was a 'feeling'; I doubt anyone would want to use them.. no-one wants to type a line and have to wait for the screen to catch up on your typing..; the slowest was 2 words behind, medium group 1 word, 745 slightly less than one word - but it could be the slowest devices I noticed more because those two machines I use most & therefore have best keyboard setups thus I type faster? the d745 had me lying on the bed typing as it's setup as a media player - ie. subjective..)

No issues on play with
sony vaio ultrabook (i5-9400u, 4gb, intel haswell-ULT) - 'live' 20190818 used
lenovo thinkpad sl510 (c2d-t6570, 2gb ram, i915) - 'live' 20190818 used
lenovo thinkpad x201 (i5-m520, 4gb, i915) - 'live' 20190818 used
hp dc7900 (c2d-e8400, 4gb, intel 4 series integrated i915) - 'live' used, daily 20190819
motion computing j3400 (c2d-u9400, 4gb, intel mobile 4 series) - live 20190819
hp 8200 elite sff (i5-2400, 8gb, nvidia quadro 600) - live 20190819

https://notes.lubuntu.me/WQJSn1pvRLufC3rkrGEEJw

Major problem with my testing compton is I'm not a user of it, and haven't explored it before, I found picking differences compton-conf made in 19.10 impossible to detect using either default or testy versions... The major difference I noted was a huge loss of speed with the older radeon devices (ie. where lshw reports as "driver=radeon").

Walter if you need more from what I put, please just let me know. I concentrated on typing into qterminal as it allowed more quantitative evaluation, eg. by typing "*This line of text is being entered into...*" I could gauge how far behind it got [in display of my typing]; where as lagginess in dragging windows around didn't allow for accurate comparison esp. there was ~20-60 minutes between tests. (my notes are poor I know)

grrr, I made all my notes in a leafpad text file and they were corrupted when I saved them.
I probably should have updated my system.

I've uploaded the apparently binary file:


It has detailed notes.

The only problem I found was windows are jerky and slow to move (maybe it is a debug version).

I don't use the one in 19.04 regularly because the performance hit is not worth it for me.
Maybe I would use it is I used the binary nvidia driver instead of nouveau.

@bjlockie thanks, though one thing that would be nice is a comparison to the old compton. Does one use more or less resources?

Also can't make any sense out of your notes.

I had a good test on my Acer Laptop. Laptop is somewhat low on resources. 1st gen i5 with 4G of RAM that is shared with the onboard Intel graphics. As far as resource usage it was almost identical with the original compton. 457 M for the original and 460 M for the new one. I had around 430 M with no compton installed. I used htop for all three measurements. I notice a bit of stuttering with both versions when moving windows around. I also tested the compton-conf that is shipped in Lubuntu and that seems to manage the config file fine. I see no downside currently.

Where you able to convert my notes back to text or are they corrupted?

Is pmap what you had in mind?
This is the old compton:

$ ps -ef | grep compton
rjl       5702  1900  0 20:55 pts/0    00:00:00 compton
rjl       5789  5709  0 20:58 pts/1    00:00:00 grep --color=auto compton

$ pmap 5702
5702:   compton
000055a3ecf19000    196K r-x-- compton
000055a3ed14a000      8K r---- compton
000055a3ed14c000      4K rw--- compton
000055a3ede34000   2720K rw---   [ anon ]
00007f163e4f0000    256K rw---   [ anon ]
00007f163e60f000  14188K r---- locale-archive
00007f163f3ea000     16K rw---   [ anon ]
00007f163f3ee000     16K r---- libgpg-error.so.0.26.1
00007f163f3f2000     76K r-x-- libgpg-error.so.0.26.1
00007f163f405000     36K r---- libgpg-error.so.0.26.1
00007f163f40e000      4K ----- libgpg-error.so.0.26.1
00007f163f40f000      4K r---- libgpg-error.so.0.26.1
00007f163f410000      4K rw--- libgpg-error.so.0.26.1
00007f163f411000     16K r---- libbsd.so.0.9.1
00007f163f415000     60K r-x-- libbsd.so.0.9.1
00007f163f424000     12K r---- libbsd.so.0.9.1
00007f163f427000      4K ----- libbsd.so.0.9.1
00007f163f428000      4K r---- libbsd.so.0.9.1
00007f163f429000      4K rw--- libbsd.so.0.9.1
00007f163f42a000      4K rw---   [ anon ]
00007f163f42b000     48K r---- libgcrypt.so.20.2.4
00007f163f437000    820K r-x-- libgcrypt.so.20.2.4
00007f163f504000    244K r---- libgcrypt.so.20.2.4
00007f163f541000      8K r---- libgcrypt.so.20.2.4
00007f163f543000     20K rw--- libgcrypt.so.20.2.4
00007f163f548000      8K r---- liblz4.so.1.8.3
00007f163f54a000    160K r-x-- liblz4.so.1.8.3
00007f163f572000     12K r---- liblz4.so.1.8.3
00007f163f575000      4K r---- liblz4.so.1.8.3
00007f163f576000      4K rw--- liblz4.so.1.8.3
00007f163f577000     12K r---- liblzma.so.5.2.4
00007f163f57a000     92K r-x-- liblzma.so.5.2.4
00007f163f591000     44K r---- liblzma.so.5.2.4
00007f163f59c000      4K r---- liblzma.so.5.2.4
00007f163f59d000      4K rw--- liblzma.so.5.2.4
00007f163f59e000      8K rw---   [ anon ]
00007f163f5a0000     12K r---- librt-2.29.so
00007f163f5a3000     16K r-x-- librt-2.29.so
00007f163f5a7000      8K r---- librt-2.29.so
00007f163f5a9000      4K r---- librt-2.29.so
00007f163f5aa000      4K rw--- librt-2.29.so
00007f163f5ab000     20K r-x-- libXdmcp.so.6.0.0
00007f163f5b0000   2044K ----- libXdmcp.so.6.0.0
00007f163f7af000      4K r---- libXdmcp.so.6.0.0
00007f163f7b0000      4K rw--- libXdmcp.so.6.0.0
00007f163f7b1000      8K r-x-- libXau.so.6.0.0
00007f163f7b3000   2048K ----- libXau.so.6.0.0
00007f163f9b3000      4K r---- libXau.so.6.0.0
00007f163f9b4000      4K rw--- libXau.so.6.0.0
00007f163f9b5000     60K r---- libsystemd.so.0.24.0
00007f163f9c4000    420K r-x-- libsystemd.so.0.24.0
00007f163fa2d000    132K r---- libsystemd.so.0.24.0
00007f163fa4e000     12K r---- libsystemd.so.0.24.0
00007f163fa51000      4K rw--- libsystemd.so.0.24.0
00007f163fa52000      4K rw---   [ anon ]
00007f163fa53000      4K r---- libdl-2.29.so
00007f163fa54000      8K r-x-- libdl-2.29.so
00007f163fa56000      4K r---- libdl-2.29.so
00007f163fa57000      4K r---- libdl-2.29.so
00007f163fa58000      4K rw--- libdl-2.29.so
00007f163fa59000      8K rw---   [ anon ]
00007f163fa5b000     44K r---- libxcb.so.1.1.0
00007f163fa66000     76K r-x-- libxcb.so.1.1.0
00007f163fa79000     36K r---- libxcb.so.1.1.0
00007f163fa82000      4K r---- libxcb.so.1.1.0
00007f163fa83000      4K rw--- libxcb.so.1.1.0
00007f163fa84000     28K r---- libpthread-2.29.so
00007f163fa8b000     60K r-x-- libpthread-2.29.so
00007f163fa9a000     20K r---- libpthread-2.29.so
00007f163fa9f000      4K r---- libpthread-2.29.so
00007f163faa0000      4K rw--- libpthread-2.29.so
00007f163faa1000     16K rw---   [ anon ]
00007f163faa5000    256K r---- libGLdispatch.so.0.0.0
00007f163fae5000    124K r-x-- libGLdispatch.so.0.0.0
00007f163fb04000     76K r---- libGLdispatch.so.0.0.0
00007f163fb17000      4K ----- libGLdispatch.so.0.0.0
00007f163fb18000    164K r---- libGLdispatch.so.0.0.0
00007f163fb41000      4K rw--- libGLdispatch.so.0.0.0
00007f163fb42000    128K rw---   [ anon ]
00007f163fb62000     12K r---- libGLX.so.0.0.0
00007f163fb65000     44K r-x-- libGLX.so.0.0.0
00007f163fb70000     12K r---- libGLX.so.0.0.0
00007f163fb73000      4K ----- libGLX.so.0.0.0
00007f163fb74000      4K r---- libGLX.so.0.0.0
00007f163fb75000      4K rw--- libGLX.so.0.0.0
00007f163fb76000    128K rw---   [ anon ]
00007f163fb96000    148K r---- libc-2.29.so
00007f163fbbb000   1484K r-x-- libc-2.29.so
00007f163fd2e000    292K r---- libc-2.29.so
00007f163fd77000     12K r---- libc-2.29.so
00007f163fd7a000     12K rw--- libc-2.29.so
00007f163fd7d000     16K rw---   [ anon ]
00007f163fd81000     44K r---- libdbus-1.so.3.19.9
00007f163fd8c000    180K r-x-- libdbus-1.so.3.19.9
00007f163fdb9000     84K r---- libdbus-1.so.3.19.9
00007f163fdce000      4K r---- libdbus-1.so.3.19.9
00007f163fdcf000      4K rw--- libdbus-1.so.3.19.9
00007f163fdd0000      8K rw---   [ anon ]
00007f163fdd2000     40K r-x-- libconfig.so.9.2.0
00007f163fddc000   2048K ----- libconfig.so.9.2.0
00007f163ffdc000      4K r---- libconfig.so.9.2.0
00007f163ffdd000      4K rw--- libconfig.so.9.2.0
00007f163ffde000      4K r---- libXinerama.so.1.0.0
00007f163ffdf000      4K r-x-- libXinerama.so.1.0.0
00007f163ffe0000      4K r---- libXinerama.so.1.0.0
00007f163ffe1000      4K r---- libXinerama.so.1.0.0
00007f163ffe2000      4K rw--- libXinerama.so.1.0.0
00007f163ffe3000     40K r-x-- libXrandr.so.2.2.0
00007f163ffed000   2044K ----- libXrandr.so.2.2.0
00007f16401ec000      4K r---- libXrandr.so.2.2.0
00007f16401ed000      4K rw--- libXrandr.so.2.2.0
00007f16401ee000     68K r-x-- libXext.so.6.4.0
00007f16401ff000   2044K ----- libXext.so.6.4.0
00007f16403fe000      4K r---- libXext.so.6.4.0
00007f16403ff000      4K rw--- libXext.so.6.4.0
00007f1640400000     96K r---- libX11.so.6.3.0
00007f1640418000    544K r-x-- libX11.so.6.3.0
00007f16404a0000    592K r---- libX11.so.6.3.0
00007f1640534000      4K ----- libX11.so.6.3.0
00007f1640535000      4K r---- libX11.so.6.3.0
00007f1640536000     16K rw--- libX11.so.6.3.0
00007f164053a000     36K r-x-- libXrender.so.1.3.0
00007f1640543000   2044K ----- libXrender.so.1.3.0
00007f1640742000      4K r---- libXrender.so.1.3.0
00007f1640743000      4K rw--- libXrender.so.1.3.0
00007f1640744000      8K rw---   [ anon ]
00007f1640746000     20K r-x-- libXfixes.so.3.1.0
00007f164074b000   2044K ----- libXfixes.so.3.1.0
00007f164094a000      4K r---- libXfixes.so.3.1.0
00007f164094b000      4K rw--- libXfixes.so.3.1.0
00007f164094c000      8K r-x-- libXdamage.so.1.1.0
00007f164094e000   2044K ----- libXdamage.so.1.1.0
00007f1640b4d000      4K r---- libXdamage.so.1.1.0
00007f1640b4e000      4K rw--- libXdamage.so.1.1.0
00007f1640b4f000      8K r-x-- libXcomposite.so.1.0.0
00007f1640b51000   2044K ----- libXcomposite.so.1.0.0
00007f1640d50000      4K r---- libXcomposite.so.1.0.0
00007f1640d51000      4K rw--- libXcomposite.so.1.0.0
00007f1640d52000      8K r---- libpcre.so.3.13.3
00007f1640d54000    328K r-x-- libpcre.so.3.13.3
00007f1640da6000    120K r---- libpcre.so.3.13.3
00007f1640dc4000      4K r---- libpcre.so.3.13.3
00007f1640dc5000      4K rw--- libpcre.so.3.13.3
00007f1640dc6000     60K r---- libm-2.29.so
00007f1640dd5000    664K r-x-- libm-2.29.so
00007f1640e7b000    604K r---- libm-2.29.so
00007f1640f12000      4K r---- libm-2.29.so
00007f1640f13000      4K rw--- libm-2.29.so
00007f1640f14000    268K r---- libGL.so.1.7.0
00007f1640f57000    124K r-x-- libGL.so.1.7.0
00007f1640f76000     84K r---- libGL.so.1.7.0
00007f1640f8b000      4K ----- libGL.so.1.7.0
00007f1640f8c000    104K r---- libGL.so.1.7.0
00007f1640fa6000      4K rw--- libGL.so.1.7.0
00007f1640fa7000     12K rw---   [ anon ]
00007f1640fd9000      4K r---- ld-2.29.so
00007f1640fda000    132K r-x-- ld-2.29.so
00007f1640ffb000     32K r---- ld-2.29.so
00007f1641003000      4K r---- ld-2.29.so
00007f1641004000      4K rw--- ld-2.29.so
00007f1641005000      4K rw---   [ anon ]
00007ffeb6162000    132K rw---   [ stack ]
00007ffeb61cd000     12K r----   [ anon ]
00007ffeb61d0000      4K r-x--   [ anon ]
ffffffffff600000      4K r-x--   [ anon ]
 total            46120K

new compton:

$ pmap 3618
3618:   compton
0000561296563000     40K r---- compton
000056129656d000    196K r-x-- compton
000056129659e000     76K r---- compton
00005612965b2000      8K r---- compton
00005612965b4000      4K rw--- compton
0000561297ea8000   1292K rw---   [ anon ]
00007fc094000000    132K rw---   [ anon ]
00007fc094021000  65404K -----   [ anon ]
00007fc09936e000    128K rw-s- .glvndD8Rbod (deleted)
00007fc09938e000    128K r-xs- .glvndD8Rbod (deleted)
00007fc0993ae000    512K rw-s- card0
00007fc09942e000      4K -----   [ anon ]
00007fc09942f000   8192K rw---   [ anon ]
00007fc099c2f000   1284K rw-s- index
00007fc099d70000     56K r---- libtinfo.so.6.1
00007fc099d7e000     60K r-x-- libtinfo.so.6.1
00007fc099d8d000     56K r---- libtinfo.so.6.1
00007fc099d9b000     16K r---- libtinfo.so.6.1
00007fc099d9f000      4K rw--- libtinfo.so.6.1
00007fc099da0000     32K r---- libedit.so.2.0.60
00007fc099da8000    108K r-x-- libedit.so.2.0.60
00007fc099dc3000     56K r---- libedit.so.2.0.60
00007fc099dd1000      8K r---- libedit.so.2.0.60
00007fc099dd3000      4K rw--- libedit.so.2.0.60
00007fc099dd4000     16K rw---   [ anon ]
00007fc099dd8000      8K r---- libffi.so.6.0.4
00007fc099dda000     20K r-x-- libffi.so.6.0.4
00007fc099ddf000      4K r---- libffi.so.6.0.4
00007fc099de0000      4K r---- libffi.so.6.0.4
00007fc099de1000      4K rw--- libffi.so.6.0.4
00007fc099de2000     12K r---- libgcc_s.so.1
00007fc099de5000     68K r-x-- libgcc_s.so.1
00007fc099df6000     16K r---- libgcc_s.so.1
00007fc099dfa000      4K r---- libgcc_s.so.1
00007fc099dfb000      4K rw--- libgcc_s.so.1
00007fc099dfc000    600K r---- libstdc++.so.6.0.27
00007fc099e92000   1012K r-x-- libstdc++.so.6.0.27
00007fc099f8f000    296K r---- libstdc++.so.6.0.27
00007fc099fd9000     44K r---- libstdc++.so.6.0.27
00007fc099fe4000     12K rw--- libstdc++.so.6.0.27
00007fc099fe7000     12K rw---   [ anon ]
00007fc099fea000      8K r---- libz.so.1.2.11
00007fc099fec000     68K r-x-- libz.so.1.2.11
00007fc099ffd000     24K r---- libz.so.1.2.11
00007fc09a003000      4K ----- libz.so.1.2.11
00007fc09a004000      4K r---- libz.so.1.2.11
00007fc09a005000      4K rw--- libz.so.1.2.11
00007fc09a006000      8K r---- libdrm_nouveau.so.2.0.0
00007fc09a008000     20K r-x-- libdrm_nouveau.so.2.0.0
00007fc09a00d000      8K r---- libdrm_nouveau.so.2.0.0
00007fc09a00f000      4K r---- libdrm_nouveau.so.2.0.0
00007fc09a010000      4K rw--- libdrm_nouveau.so.2.0.0
00007fc09a011000     12K r---- libdrm_amdgpu.so.1.0.0
00007fc09a014000     20K r-x-- libdrm_amdgpu.so.1.0.0
00007fc09a019000      8K r---- libdrm_amdgpu.so.1.0.0
00007fc09a01b000      4K r---- libdrm_amdgpu.so.1.0.0
00007fc09a01c000      4K rw--- libdrm_amdgpu.so.1.0.0
00007fc09a01d000     12K r---- libelf-0.176.so
00007fc09a020000     72K r-x-- libelf-0.176.so
00007fc09a032000     20K r---- libelf-0.176.so
00007fc09a037000      4K r---- libelf-0.176.so
00007fc09a038000      4K rw--- libelf-0.176.so
00007fc09a039000      8K r---- libdrm_radeon.so.1.0.1
00007fc09a03b000     32K r-x-- libdrm_radeon.so.1.0.1
00007fc09a043000      8K r---- libdrm_radeon.so.1.0.1
00007fc09a045000      4K r---- libdrm_radeon.so.1.0.1
00007fc09a046000      4K rw--- libdrm_radeon.so.1.0.1
00007fc09a047000     12K r---- libsensors.so.5.0.0
00007fc09a04a000     28K r-x-- libsensors.so.5.0.0
00007fc09a051000     20K r---- libsensors.so.5.0.0
00007fc09a056000      4K r---- libsensors.so.5.0.0
00007fc09a057000      4K rw--- libsensors.so.5.0.0
00007fc09a058000  56700K r-x-- libLLVM-8.so.1
00007fc09d7b7000      4K ----- libLLVM-8.so.1
00007fc09d7b8000   4168K r---- libLLVM-8.so.1
00007fc09dbca000     12K rw--- libLLVM-8.so.1
00007fc09dbcd000    420K rw---   [ anon ]
00007fc09dc36000    632K r---- nouveau_dri.so
00007fc09dcd4000  11012K r-x-- nouveau_dri.so
00007fc09e795000   3340K r---- nouveau_dri.so
00007fc09ead8000    580K r---- nouveau_dri.so
00007fc09eb69000    196K rw--- nouveau_dri.so
00007fc09eb9a000   2116K rw---   [ anon ]
00007fc09edab000     16K r---- libexpat.so.1.6.9
00007fc09edaf000    112K r-x-- libexpat.so.1.6.9
00007fc09edcb000     40K r---- libexpat.so.1.6.9
00007fc09edd5000      4K ----- libexpat.so.1.6.9
00007fc09edd6000      8K r---- libexpat.so.1.6.9
00007fc09edd8000      4K rw--- libexpat.so.1.6.9
00007fc09edd9000      4K r-x-- libxshmfence.so.1.0.0
00007fc09edda000   2044K ----- libxshmfence.so.1.0.0
00007fc09efd9000      4K r---- libxshmfence.so.1.0.0
00007fc09efda000      4K rw--- libxshmfence.so.1.0.0
00007fc09efdb000      8K r---- libxcb-dri3.so.0.0.0
00007fc09efdd000      4K r-x-- libxcb-dri3.so.0.0.0
00007fc09efde000      4K r---- libxcb-dri3.so.0.0.0
00007fc09efdf000      4K r---- libxcb-dri3.so.0.0.0
00007fc09efe0000      4K rw--- libxcb-dri3.so.0.0.0
00007fc09efe1000     20K r-x-- libXxf86vm.so.1.0.0
00007fc09efe6000   2044K ----- libXxf86vm.so.1.0.0
00007fc09f1e5000      4K r---- libXxf86vm.so.1.0.0
00007fc09f1e6000      4K rw--- libXxf86vm.so.1.0.0
00007fc09f1e7000      4K r---- libXdamage.so.1.1.0
00007fc09f1e8000      4K r-x-- libXdamage.so.1.1.0
00007fc09f1e9000      4K r---- libXdamage.so.1.1.0
00007fc09f1ea000      4K r---- libXdamage.so.1.1.0
00007fc09f1eb000      4K rw--- libXdamage.so.1.1.0
00007fc09f1ec000     20K r-x-- libXfixes.so.3.1.0
00007fc09f1f1000   2044K ----- libXfixes.so.3.1.0
00007fc09f3f0000      4K r---- libXfixes.so.3.1.0
00007fc09f3f1000      4K rw--- libXfixes.so.3.1.0
00007fc09f3f2000     68K r-x-- libXext.so.6.4.0
00007fc09f403000   2044K ----- libXext.so.6.4.0
00007fc09f602000      4K r---- libXext.so.6.4.0
00007fc09f603000      4K rw--- libXext.so.6.4.0
00007fc09f604000     44K r---- libxcb-glx.so.0.0.0
00007fc09f60f000     36K r-x-- libxcb-glx.so.0.0.0
00007fc09f618000     20K r---- libxcb-glx.so.0.0.0
00007fc09f61d000      4K ----- libxcb-glx.so.0.0.0
00007fc09f61e000      8K r---- libxcb-glx.so.0.0.0
00007fc09f620000      4K rw--- libxcb-glx.so.0.0.0
00007fc09f621000     16K r---- libdrm.so.2.4.0
00007fc09f625000     36K r-x-- libdrm.so.2.4.0
00007fc09f62e000     12K r---- libdrm.so.2.4.0
00007fc09f631000      4K ----- libdrm.so.2.4.0
00007fc09f632000      4K r---- libdrm.so.2.4.0
00007fc09f633000      4K rw--- libdrm.so.2.4.0
00007fc09f634000     44K r---- libglapi.so.0.0.0
00007fc09f63f000     48K r-x-- libglapi.so.0.0.0
00007fc09f64b000     88K r---- libglapi.so.0.0.0
00007fc09f661000      4K ----- libglapi.so.0.0.0
00007fc09f662000     16K r---- libglapi.so.0.0.0
00007fc09f666000      4K rw--- libglapi.so.0.0.0
00007fc09f667000      4K rw---   [ anon ]
00007fc09f668000    100K r---- libGLX_mesa.so.0.0.0
00007fc09f681000    276K r-x-- libGLX_mesa.so.0.0.0
00007fc09f6c6000    100K r---- libGLX_mesa.so.0.0.0
00007fc09f6df000     12K r---- libGLX_mesa.so.0.0.0
00007fc09f6e2000      4K rw--- libGLX_mesa.so.0.0.0
00007fc09f6e3000      4K rw---   [ anon ]
00007fc09f6fd000    200K r---- LC_CTYPE
00007fc09f72f000   1484K r---- LC_COLLATE
00007fc09f8a2000   5564K r---- locale-archive
00007fc09fe11000     16K rw---   [ anon ]
00007fc09fe15000     16K r---- libgpg-error.so.0.27.0
00007fc09fe19000     76K r-x-- libgpg-error.so.0.27.0
00007fc09fe2c000     40K r---- libgpg-error.so.0.27.0
00007fc09fe36000      4K r---- libgpg-error.so.0.27.0
00007fc09fe37000      4K rw--- libgpg-error.so.0.27.0
00007fc09fe38000     48K r---- libgcrypt.so.20.2.4
00007fc09fe44000    820K r-x-- libgcrypt.so.20.2.4
00007fc09ff11000    244K r---- libgcrypt.so.20.2.4
00007fc09ff4e000      8K r---- libgcrypt.so.20.2.4
00007fc09ff50000     20K rw--- libgcrypt.so.20.2.4
00007fc09ff55000      8K r---- liblz4.so.1.9.1
00007fc09ff57000    100K r-x-- liblz4.so.1.9.1
00007fc09ff70000     12K r---- liblz4.so.1.9.1
00007fc09ff73000      4K r---- liblz4.so.1.9.1
00007fc09ff74000      4K rw--- liblz4.so.1.9.1
00007fc09ff75000     12K r---- liblzma.so.5.2.4
00007fc09ff78000     92K r-x-- liblzma.so.5.2.4
00007fc09ff8f000     44K r---- liblzma.so.5.2.4
00007fc09ff9a000      4K r---- liblzma.so.5.2.4
00007fc09ff9b000      4K rw--- liblzma.so.5.2.4
00007fc09ff9c000      8K rw---   [ anon ]
00007fc09ff9e000     12K r---- librt-2.29.so
00007fc09ffa1000     16K r-x-- librt-2.29.so
00007fc09ffa5000      8K r---- librt-2.29.so
00007fc09ffa7000      4K r---- librt-2.29.so
00007fc09ffa8000      4K rw--- librt-2.29.so
00007fc09ffa9000     16K r---- libbsd.so.0.10.0
00007fc09ffad000     60K r-x-- libbsd.so.0.10.0
00007fc09ffbc000     12K r---- libbsd.so.0.10.0
00007fc09ffbf000      4K ----- libbsd.so.0.10.0
00007fc09ffc0000      4K r---- libbsd.so.0.10.0
00007fc09ffc1000      4K rw--- libbsd.so.0.10.0
00007fc09ffc2000      4K rw---   [ anon ]
00007fc09ffc3000     60K r---- libsystemd.so.0.24.0
00007fc09ffd2000    424K r-x-- libsystemd.so.0.24.0
00007fc0a003c000    132K r---- libsystemd.so.0.24.0
00007fc0a005d000     12K r---- libsystemd.so.0.24.0
00007fc0a0060000      4K rw--- libsystemd.so.0.24.0
00007fc0a0061000      4K rw---   [ anon ]
00007fc0a0062000    256K r---- libGLdispatch.so.0.0.0
00007fc0a00a2000    124K r-x-- libGLdispatch.so.0.0.0
00007fc0a00c1000     76K r---- libGLdispatch.so.0.0.0
00007fc0a00d4000      4K ----- libGLdispatch.so.0.0.0
00007fc0a00d5000    164K r---- libGLdispatch.so.0.0.0
00007fc0a00fe000      4K rw--- libGLdispatch.so.0.0.0
00007fc0a00ff000    128K rw---   [ anon ]
00007fc0a011f000     12K r---- libGLX.so.0.0.0
00007fc0a0122000     44K r-x-- libGLX.so.0.0.0
00007fc0a012d000     12K r---- libGLX.so.0.0.0
00007fc0a0130000      4K ----- libGLX.so.0.0.0
00007fc0a0131000      4K r---- libGLX.so.0.0.0
00007fc0a0132000      4K rw--- libGLX.so.0.0.0
00007fc0a0133000    136K rw---   [ anon ]
00007fc0a0155000     28K r---- libpthread-2.29.so
00007fc0a015c000     64K r-x-- libpthread-2.29.so
00007fc0a016c000     20K r---- libpthread-2.29.so
00007fc0a0171000      4K r---- libpthread-2.29.so
00007fc0a0172000      4K rw--- libpthread-2.29.so
00007fc0a0173000     16K rw---   [ anon ]
00007fc0a0177000     20K r-x-- libxcb-util.so.1.0.0
00007fc0a017c000   2044K ----- libxcb-util.so.1.0.0
00007fc0a037b000      4K r---- libxcb-util.so.1.0.0
00007fc0a037c000      4K rw--- libxcb-util.so.1.0.0
00007fc0a037d000      4K r---- libxcb-shm.so.0.0.0
00007fc0a037e000      4K r-x-- libxcb-shm.so.0.0.0
00007fc0a037f000      4K r---- libxcb-shm.so.0.0.0
00007fc0a0380000      4K r---- libxcb-shm.so.0.0.0
00007fc0a0381000      4K rw--- libxcb-shm.so.0.0.0
00007fc0a0382000      4K r---- libdl-2.29.so
00007fc0a0383000      8K r-x-- libdl-2.29.so
00007fc0a0385000      4K r---- libdl-2.29.so
00007fc0a0386000      4K r---- libdl-2.29.so
00007fc0a0387000      4K rw--- libdl-2.29.so
00007fc0a0388000     20K r-x-- libXdmcp.so.6.0.0
00007fc0a038d000   2044K ----- libXdmcp.so.6.0.0
00007fc0a058c000      4K r---- libXdmcp.so.6.0.0
00007fc0a058d000      4K rw--- libXdmcp.so.6.0.0
00007fc0a058e000      8K rw---   [ anon ]
00007fc0a0590000      8K r-x-- libXau.so.6.0.0
00007fc0a0592000   2048K ----- libXau.so.6.0.0
00007fc0a0792000      4K r---- libXau.so.6.0.0
00007fc0a0793000      4K rw--- libXau.so.6.0.0
00007fc0a0794000    148K r---- libc-2.29.so
00007fc0a07b9000   1504K r-x-- libc-2.29.so
00007fc0a0931000    292K r---- libc-2.29.so
00007fc0a097a000     12K r---- libc-2.29.so
00007fc0a097d000     12K rw--- libc-2.29.so
00007fc0a0980000     16K rw---   [ anon ]
00007fc0a0984000     44K r---- libdbus-1.so.3.19.10
00007fc0a098f000    180K r-x-- libdbus-1.so.3.19.10
00007fc0a09bc000     84K r---- libdbus-1.so.3.19.10
00007fc0a09d1000      4K r---- libdbus-1.so.3.19.10
00007fc0a09d2000      4K rw--- libdbus-1.so.3.19.10
00007fc0a09d3000    268K r---- libGL.so.1.7.0
00007fc0a0a16000    124K r-x-- libGL.so.1.7.0
00007fc0a0a35000     84K r---- libGL.so.1.7.0
00007fc0a0a4a000      4K ----- libGL.so.1.7.0
00007fc0a0a4b000    104K r---- libGL.so.1.7.0
00007fc0a0a65000      4K rw--- libGL.so.1.7.0
00007fc0a0a66000      4K rw---   [ anon ]
00007fc0a0a67000      8K r---- libpcre.so.3.13.3
00007fc0a0a69000    328K r-x-- libpcre.so.3.13.3
00007fc0a0abb000    120K r---- libpcre.so.3.13.3
00007fc0a0ad9000      4K r---- libpcre.so.3.13.3
00007fc0a0ada000      4K rw--- libpcre.so.3.13.3
00007fc0a0adb000      4K r---- libxdg-basedir.so.1.2.0
00007fc0a0adc000      8K r-x-- libxdg-basedir.so.1.2.0
00007fc0a0ade000      4K r---- libxdg-basedir.so.1.2.0
00007fc0a0adf000      4K r---- libxdg-basedir.so.1.2.0
00007fc0a0ae0000      4K rw--- libxdg-basedir.so.1.2.0
00007fc0a0ae1000      8K rw---   [ anon ]
00007fc0a0ae3000     40K r-x-- libconfig.so.9.2.0
00007fc0a0aed000   2048K ----- libconfig.so.9.2.0
00007fc0a0ced000      4K r---- libconfig.so.9.2.0
00007fc0a0cee000      4K rw--- libconfig.so.9.2.0
00007fc0a0cef000     40K r---- libpixman-1.so.0.36.0
00007fc0a0cf9000    524K r-x-- libpixman-1.so.0.36.0
00007fc0a0d7c000     64K r---- libpixman-1.so.0.36.0
00007fc0a0d8c000     32K r---- libpixman-1.so.0.36.0
00007fc0a0d94000      4K rw--- libpixman-1.so.0.36.0
00007fc0a0d95000      4K r---- libxcb-present.so.0.0.0
00007fc0a0d96000      4K r-x-- libxcb-present.so.0.0.0
00007fc0a0d97000      4K r---- libxcb-present.so.0.0.0
00007fc0a0d98000      4K r---- libxcb-present.so.0.0.0
00007fc0a0d99000      4K rw--- libxcb-present.so.0.0.0
00007fc0a0d9a000     12K r---- libxcb-xfixes.so.0.0.0
00007fc0a0d9d000     12K r-x-- libxcb-xfixes.so.0.0.0
00007fc0a0da0000      4K r---- libxcb-xfixes.so.0.0.0
00007fc0a0da1000      4K ----- libxcb-xfixes.so.0.0.0
00007fc0a0da2000      4K r---- libxcb-xfixes.so.0.0.0
00007fc0a0da3000      4K rw--- libxcb-xfixes.so.0.0.0
00007fc0a0da4000      4K r---- libxcb-xinerama.so.0.0.0
00007fc0a0da5000      4K r-x-- libxcb-xinerama.so.0.0.0
00007fc0a0da6000      4K r---- libxcb-xinerama.so.0.0.0
00007fc0a0da7000      4K r---- libxcb-xinerama.so.0.0.0
00007fc0a0da8000      4K rw--- libxcb-xinerama.so.0.0.0
00007fc0a0da9000     16K r-x-- libxcb-image.so.0.0.0
00007fc0a0dad000   2044K ----- libxcb-image.so.0.0.0
00007fc0a0fac000      4K r---- libxcb-image.so.0.0.0
00007fc0a0fad000      4K rw--- libxcb-image.so.0.0.0
00007fc0a0fae000      8K rw---   [ anon ]
00007fc0a0fb0000      4K r---- libxcb-shape.so.0.0.0
00007fc0a0fb1000      4K r-x-- libxcb-shape.so.0.0.0
00007fc0a0fb2000      4K r---- libxcb-shape.so.0.0.0
00007fc0a0fb3000      4K r---- libxcb-shape.so.0.0.0
00007fc0a0fb4000      4K rw--- libxcb-shape.so.0.0.0
00007fc0a0fb5000      4K r---- libxcb-composite.so.0.0.0
00007fc0a0fb6000      4K r-x-- libxcb-composite.so.0.0.0
00007fc0a0fb7000      4K r---- libxcb-composite.so.0.0.0
00007fc0a0fb8000      4K r---- libxcb-composite.so.0.0.0
00007fc0a0fb9000      4K rw--- libxcb-composite.so.0.0.0
00007fc0a0fba000     12K r---- libxcb-sync.so.1.0.0
00007fc0a0fbd000     12K r-x-- libxcb-sync.so.1.0.0
00007fc0a0fc0000      4K r---- libxcb-sync.so.1.0.0
00007fc0a0fc1000      4K ----- libxcb-sync.so.1.0.0
00007fc0a0fc2000      4K r---- libxcb-sync.so.1.0.0
00007fc0a0fc3000      4K rw--- libxcb-sync.so.1.0.0
00007fc0a0fc4000     28K r---- libxcb-randr.so.0.1.0
00007fc0a0fcb000     20K r-x-- libxcb-randr.so.0.1.0
00007fc0a0fd0000     12K r---- libxcb-randr.so.0.1.0
00007fc0a0fd3000      4K ----- libxcb-randr.so.0.1.0
00007fc0a0fd4000      4K r---- libxcb-randr.so.0.1.0
00007fc0a0fd5000      4K rw--- libxcb-randr.so.0.1.0
00007fc0a0fd6000      4K r---- libxcb-damage.so.0.0.0
00007fc0a0fd7000      4K r-x-- libxcb-damage.so.0.0.0
00007fc0a0fd8000      4K r---- libxcb-damage.so.0.0.0
00007fc0a0fd9000      4K r---- libxcb-damage.so.0.0.0
00007fc0a0fda000      4K rw--- libxcb-damage.so.0.0.0
00007fc0a0fdb000     20K r---- libxcb-render.so.0.0.0
00007fc0a0fe0000     20K r-x-- libxcb-render.so.0.0.0
00007fc0a0fe5000      8K r---- libxcb-render.so.0.0.0
00007fc0a0fe7000      4K ----- libxcb-render.so.0.0.0
00007fc0a0fe8000      4K r---- libxcb-render.so.0.0.0
00007fc0a0fe9000      4K rw--- libxcb-render.so.0.0.0
00007fc0a0fea000      8K rw---   [ anon ]
00007fc0a0fec000     12K r-x-- libxcb-render-util.so.0.0.0
00007fc0a0fef000   2044K ----- libxcb-render-util.so.0.0.0
00007fc0a11ee000      4K r---- libxcb-render-util.so.0.0.0
00007fc0a11ef000      4K rw--- libxcb-render-util.so.0.0.0
00007fc0a11f0000      4K r---- libX11-xcb.so.1.0.0
00007fc0a11f1000      4K r-x-- libX11-xcb.so.1.0.0
00007fc0a11f2000      4K r---- libX11-xcb.so.1.0.0
00007fc0a11f3000      4K r---- libX11-xcb.so.1.0.0
00007fc0a11f4000      4K rw--- libX11-xcb.so.1.0.0
00007fc0a11f5000     96K r---- libX11.so.6.3.0
00007fc0a120d000    544K r-x-- libX11.so.6.3.0
00007fc0a1295000    592K r---- libX11.so.6.3.0
00007fc0a1329000      4K ----- libX11.so.6.3.0
00007fc0a132a000      4K r---- libX11.so.6.3.0
00007fc0a132b000     16K rw--- libX11.so.6.3.0
00007fc0a132f000     44K r---- libxcb.so.1.1.0
00007fc0a133a000     76K r-x-- libxcb.so.1.1.0
00007fc0a134d000     36K r---- libxcb.so.1.1.0
00007fc0a1356000      4K r---- libxcb.so.1.1.0
00007fc0a1357000      4K rw--- libxcb.so.1.1.0
00007fc0a1358000     12K r---- libev.so.4.0.0
00007fc0a135b000     36K r-x-- libev.so.4.0.0
00007fc0a1364000     16K r---- libev.so.4.0.0
00007fc0a1368000      4K r---- libev.so.4.0.0
00007fc0a1369000      4K rw--- libev.so.4.0.0
00007fc0a136a000     60K r---- libm-2.29.so
00007fc0a1379000    668K r-x-- libm-2.29.so
00007fc0a1420000    604K r---- libm-2.29.so
00007fc0a14b7000      4K r---- libm-2.29.so
00007fc0a14b8000      4K rw--- libm-2.29.so
00007fc0a14b9000      8K rw---   [ anon ]
00007fc0a14bc000      4K rw-s- card0
00007fc0a14bd000      8K r---- libxcb-dri2.so.0.0.0
00007fc0a14bf000      8K r-x-- libxcb-dri2.so.0.0.0
00007fc0a14c1000      4K r---- libxcb-dri2.so.0.0.0
00007fc0a14c2000      4K r---- libxcb-dri2.so.0.0.0
00007fc0a14c3000      4K rw--- libxcb-dri2.so.0.0.0
00007fc0a14c4000      4K r---- LC_NUMERIC
00007fc0a14c5000      4K r---- LC_TIME
00007fc0a14c6000      4K r---- LC_MONETARY
00007fc0a14c7000      4K r---- SYS_LC_MESSAGES
00007fc0a14c8000      4K r---- LC_PAPER
00007fc0a14c9000      4K r---- LC_NAME
00007fc0a14ca000      4K r---- LC_ADDRESS
00007fc0a14cb000      4K r---- LC_TELEPHONE
00007fc0a14cc000      4K r---- LC_MEASUREMENT
00007fc0a14cd000     28K r--s- gconv-modules.cache
00007fc0a14d4000      4K r---- ld-2.29.so
00007fc0a14d5000    140K r-x-- ld-2.29.so
00007fc0a14f8000     32K r---- ld-2.29.so
00007fc0a1500000      4K r---- LC_IDENTIFICATION
00007fc0a1501000      4K r---- ld-2.29.so
00007fc0a1502000      4K rw--- ld-2.29.so
00007fc0a1503000      4K rw---   [ anon ]
00007ffdca5d2000    132K rw---   [ stack ]
00007ffdca5f4000     12K r----   [ anon ]
00007ffdca5f7000      4K r-x--   [ anon ]
ffffffffff600000      4K r-x--   [ anon ]
 total           199896K

I don't know if compton was really running.
There was nothing output to the console.
When I edited the compton preferences and restarted compton, the console printed:
$ compton
[ 08/21/19 01:40:20.668 parse_config_libconfig WARN ] Option no-dock-shadow is deprecated, and will be removed. Please use the wintype option shadow of dock instead.
[ 08/21/19 01:40:20.668 parse_config_libconfig WARN ] Option no-dnd-shadow is deprecated, and will be removed. Please use the wintype option shadow of dnd instead.
[ 08/21/19 01:40:20.668 parse_config_libconfig WARN ] Option menu-opacity is deprecated, and will be removed.Please use the wintype option opacity of popup_menu and dropdown_menu instead.
[ 08/21/19 01:40:20.668 parse_config_libconfig WARN ] vsync option will take a boolean from now on. "none" is interpreted as "false" for compatibility, but this will stop working soon
[ 08/21/19 01:40:20.669 parse_config_libconfig WARN ] glx-swap-method has been deprecated since v6, your setting "undefined" should be removed.
[ 08/21/19 01:40:20.669 parse_config_libconfig WARN ] "clear-shadow" is removed as an option, and is always enabled now. Consider removing it from your config file
[ 08/21/19 01:40:20.669 parse_config_libconfig WARN ] "paint-on-overlay" has been removed as an option, and is enabled whenever possible
[ 08/21/19 01:40:20.669 parse_config_libconfig WARN ] "alpha-step" has been removed, compton now tries to make use of all alpha values

lubuntu@lubuntu:~$ ps -ef | grep compton
lubuntu   3973  2648  0 01:40 pts/0    00:00:00 compton
lubuntu   4003  3996  0 01:43 pts/1    00:00:00 grep --color=auto compton
lubuntu@lubuntu:~$ pmap 3973
3973:   compton
000055be218fe000     40K r---- compton
000055be21908000    196K r-x-- compton
000055be21939000     76K r---- compton
000055be2194d000      8K r---- compton
000055be2194f000      4K rw--- compton
000055be22cd0000   1896K rw---   [ anon ]
00007f04d0000000    132K rw---   [ anon ]
00007f04d0021000  65404K -----   [ anon ]
00007f04d4b9e000    128K rw-s- .glvndZrssaN (deleted)
00007f04d4bbe000    128K r-xs- .glvndZrssaN (deleted)
00007f04d4bde000    512K rw-s- card0
00007f04d4c5e000      4K -----   [ anon ]
00007f04d4c5f000   8192K rw---   [ anon ]
00007f04d545f000   1284K rw-s- index
00007f04d55a0000     56K r---- libtinfo.so.6.1
00007f04d55ae000     60K r-x-- libtinfo.so.6.1
00007f04d55bd000     56K r---- libtinfo.so.6.1
00007f04d55cb000     16K r---- libtinfo.so.6.1
00007f04d55cf000      4K rw--- libtinfo.so.6.1
00007f04d55d0000     32K r---- libedit.so.2.0.60
00007f04d55d8000    108K r-x-- libedit.so.2.0.60
00007f04d55f3000     56K r---- libedit.so.2.0.60
00007f04d5601000      8K r---- libedit.so.2.0.60
00007f04d5603000      4K rw--- libedit.so.2.0.60
00007f04d5604000     16K rw---   [ anon ]
00007f04d5608000      8K r---- libffi.so.6.0.4
00007f04d560a000     20K r-x-- libffi.so.6.0.4
00007f04d560f000      4K r---- libffi.so.6.0.4
00007f04d5610000      4K r---- libffi.so.6.0.4
00007f04d5611000      4K rw--- libffi.so.6.0.4
00007f04d5612000     12K r---- libgcc_s.so.1
00007f04d5615000     68K r-x-- libgcc_s.so.1
00007f04d5626000     16K r---- libgcc_s.so.1
00007f04d562a000      4K r---- libgcc_s.so.1
00007f04d562b000      4K rw--- libgcc_s.so.1
00007f04d562c000    600K r---- libstdc++.so.6.0.27
00007f04d56c2000   1012K r-x-- libstdc++.so.6.0.27
00007f04d57bf000    296K r---- libstdc++.so.6.0.27
00007f04d5809000     44K r---- libstdc++.so.6.0.27
00007f04d5814000     12K rw--- libstdc++.so.6.0.27
00007f04d5817000     12K rw---   [ anon ]
00007f04d581a000      8K r---- libz.so.1.2.11
00007f04d581c000     68K r-x-- libz.so.1.2.11
00007f04d582d000     24K r---- libz.so.1.2.11
00007f04d5833000      4K ----- libz.so.1.2.11
00007f04d5834000      4K r---- libz.so.1.2.11
00007f04d5835000      4K rw--- libz.so.1.2.11
00007f04d5836000      8K r---- libdrm_nouveau.so.2.0.0
00007f04d5838000     20K r-x-- libdrm_nouveau.so.2.0.0
00007f04d583d000      8K r---- libdrm_nouveau.so.2.0.0
00007f04d583f000      4K r---- libdrm_nouveau.so.2.0.0
00007f04d5840000      4K rw--- libdrm_nouveau.so.2.0.0
00007f04d5841000     12K r---- libdrm_amdgpu.so.1.0.0
00007f04d5844000     20K r-x-- libdrm_amdgpu.so.1.0.0
00007f04d5849000      8K r---- libdrm_amdgpu.so.1.0.0
00007f04d584b000      4K r---- libdrm_amdgpu.so.1.0.0
00007f04d584c000      4K rw--- libdrm_amdgpu.so.1.0.0
00007f04d584d000     12K r---- libelf-0.176.so
00007f04d5850000     72K r-x-- libelf-0.176.so
00007f04d5862000     20K r---- libelf-0.176.so
00007f04d5867000      4K r---- libelf-0.176.so
00007f04d5868000      4K rw--- libelf-0.176.so
00007f04d5869000      8K r---- libdrm_radeon.so.1.0.1
00007f04d586b000     32K r-x-- libdrm_radeon.so.1.0.1
00007f04d5873000      8K r---- libdrm_radeon.so.1.0.1
00007f04d5875000      4K r---- libdrm_radeon.so.1.0.1
00007f04d5876000      4K rw--- libdrm_radeon.so.1.0.1
00007f04d5877000     12K r---- libsensors.so.5.0.0
00007f04d587a000     28K r-x-- libsensors.so.5.0.0
00007f04d5881000     20K r---- libsensors.so.5.0.0
00007f04d5886000      4K r---- libsensors.so.5.0.0
00007f04d5887000      4K rw--- libsensors.so.5.0.0
00007f04d5888000  56700K r-x-- libLLVM-8.so.1
00007f04d8fe7000      4K ----- libLLVM-8.so.1
00007f04d8fe8000   4168K r---- libLLVM-8.so.1
00007f04d93fa000     12K rw--- libLLVM-8.so.1
00007f04d93fd000    420K rw---   [ anon ]
00007f04d9466000    632K r---- nouveau_dri.so
00007f04d9504000  11012K r-x-- nouveau_dri.so
00007f04d9fc5000   3340K r---- nouveau_dri.so
00007f04da308000    580K r---- nouveau_dri.so
00007f04da399000    196K rw--- nouveau_dri.so
00007f04da3ca000   2116K rw---   [ anon ]
00007f04da5db000     16K r---- libexpat.so.1.6.9
00007f04da5df000    112K r-x-- libexpat.so.1.6.9
00007f04da5fb000     40K r---- libexpat.so.1.6.9
00007f04da605000      4K ----- libexpat.so.1.6.9
00007f04da606000      8K r---- libexpat.so.1.6.9
00007f04da608000      4K rw--- libexpat.so.1.6.9
00007f04da609000      4K r-x-- libxshmfence.so.1.0.0
00007f04da60a000   2044K ----- libxshmfence.so.1.0.0
00007f04da809000      4K r---- libxshmfence.so.1.0.0
00007f04da80a000      4K rw--- libxshmfence.so.1.0.0
00007f04da80b000      8K r---- libxcb-dri3.so.0.0.0
00007f04da80d000      4K r-x-- libxcb-dri3.so.0.0.0
00007f04da80e000      4K r---- libxcb-dri3.so.0.0.0
00007f04da80f000      4K r---- libxcb-dri3.so.0.0.0
00007f04da810000      4K rw--- libxcb-dri3.so.0.0.0
00007f04da811000     20K r-x-- libXxf86vm.so.1.0.0
00007f04da816000   2044K ----- libXxf86vm.so.1.0.0
00007f04daa15000      4K r---- libXxf86vm.so.1.0.0
00007f04daa16000      4K rw--- libXxf86vm.so.1.0.0
00007f04daa17000      4K r---- libXdamage.so.1.1.0
00007f04daa18000      4K r-x-- libXdamage.so.1.1.0
00007f04daa19000      4K r---- libXdamage.so.1.1.0
00007f04daa1a000      4K r---- libXdamage.so.1.1.0
00007f04daa1b000      4K rw--- libXdamage.so.1.1.0
00007f04daa1c000     20K r-x-- libXfixes.so.3.1.0
00007f04daa21000   2044K ----- libXfixes.so.3.1.0
00007f04dac20000      4K r---- libXfixes.so.3.1.0
00007f04dac21000      4K rw--- libXfixes.so.3.1.0
00007f04dac22000     68K r-x-- libXext.so.6.4.0
00007f04dac33000   2044K ----- libXext.so.6.4.0
00007f04dae32000      4K r---- libXext.so.6.4.0
00007f04dae33000      4K rw--- libXext.so.6.4.0
00007f04dae34000     44K r---- libxcb-glx.so.0.0.0
00007f04dae3f000     36K r-x-- libxcb-glx.so.0.0.0
00007f04dae48000     20K r---- libxcb-glx.so.0.0.0
00007f04dae4d000      4K ----- libxcb-glx.so.0.0.0
00007f04dae4e000      8K r---- libxcb-glx.so.0.0.0
00007f04dae50000      4K rw--- libxcb-glx.so.0.0.0
00007f04dae51000     16K r---- libdrm.so.2.4.0
00007f04dae55000     36K r-x-- libdrm.so.2.4.0
00007f04dae5e000     12K r---- libdrm.so.2.4.0
00007f04dae61000      4K ----- libdrm.so.2.4.0
00007f04dae62000      4K r---- libdrm.so.2.4.0
00007f04dae63000      4K rw--- libdrm.so.2.4.0
00007f04dae64000     44K r---- libglapi.so.0.0.0
00007f04dae6f000     48K r-x-- libglapi.so.0.0.0
00007f04dae7b000     88K r---- libglapi.so.0.0.0
00007f04dae91000      4K ----- libglapi.so.0.0.0
00007f04dae92000     16K r---- libglapi.so.0.0.0
00007f04dae96000      4K rw--- libglapi.so.0.0.0
00007f04dae97000      4K rw---   [ anon ]
00007f04dae98000    100K r---- libGLX_mesa.so.0.0.0
00007f04daeb1000    276K r-x-- libGLX_mesa.so.0.0.0
00007f04daef6000    100K r---- libGLX_mesa.so.0.0.0
00007f04daf0f000     12K r---- libGLX_mesa.so.0.0.0
00007f04daf12000      4K rw--- libGLX_mesa.so.0.0.0
00007f04daf13000      4K rw---   [ anon ]
00007f04daf2d000    200K r---- LC_CTYPE
00007f04daf5f000   1484K r---- LC_COLLATE
00007f04db0d2000   5564K r---- locale-archive
00007f04db641000     16K rw---   [ anon ]
00007f04db645000     16K r---- libgpg-error.so.0.27.0
00007f04db649000     76K r-x-- libgpg-error.so.0.27.0
00007f04db65c000     40K r---- libgpg-error.so.0.27.0
00007f04db666000      4K r---- libgpg-error.so.0.27.0
00007f04db667000      4K rw--- libgpg-error.so.0.27.0
00007f04db668000     48K r---- libgcrypt.so.20.2.4
00007f04db674000    820K r-x-- libgcrypt.so.20.2.4
00007f04db741000    244K r---- libgcrypt.so.20.2.4
00007f04db77e000      8K r---- libgcrypt.so.20.2.4
00007f04db780000     20K rw--- libgcrypt.so.20.2.4
00007f04db785000      8K r---- liblz4.so.1.9.1
00007f04db787000    100K r-x-- liblz4.so.1.9.1
00007f04db7a0000     12K r---- liblz4.so.1.9.1
00007f04db7a3000      4K r---- liblz4.so.1.9.1
00007f04db7a4000      4K rw--- liblz4.so.1.9.1
00007f04db7a5000     12K r---- liblzma.so.5.2.4
00007f04db7a8000     92K r-x-- liblzma.so.5.2.4
00007f04db7bf000     44K r---- liblzma.so.5.2.4
00007f04db7ca000      4K r---- liblzma.so.5.2.4
00007f04db7cb000      4K rw--- liblzma.so.5.2.4
00007f04db7cc000      8K rw---   [ anon ]
00007f04db7ce000     12K r---- librt-2.29.so
00007f04db7d1000     16K r-x-- librt-2.29.so
00007f04db7d5000      8K r---- librt-2.29.so
00007f04db7d7000      4K r---- librt-2.29.so
00007f04db7d8000      4K rw--- librt-2.29.so
00007f04db7d9000     16K r---- libbsd.so.0.10.0
00007f04db7dd000     60K r-x-- libbsd.so.0.10.0
00007f04db7ec000     12K r---- libbsd.so.0.10.0
00007f04db7ef000      4K ----- libbsd.so.0.10.0
00007f04db7f0000      4K r---- libbsd.so.0.10.0
00007f04db7f1000      4K rw--- libbsd.so.0.10.0
00007f04db7f2000      4K rw---   [ anon ]
00007f04db7f3000     60K r---- libsystemd.so.0.24.0
00007f04db802000    424K r-x-- libsystemd.so.0.24.0
00007f04db86c000    132K r---- libsystemd.so.0.24.0
00007f04db88d000     12K r---- libsystemd.so.0.24.0
00007f04db890000      4K rw--- libsystemd.so.0.24.0
00007f04db891000      4K rw---   [ anon ]
00007f04db892000    256K r---- libGLdispatch.so.0.0.0
00007f04db8d2000    124K r-x-- libGLdispatch.so.0.0.0
00007f04db8f1000     76K r---- libGLdispatch.so.0.0.0
00007f04db904000      4K ----- libGLdispatch.so.0.0.0
00007f04db905000    164K r---- libGLdispatch.so.0.0.0
00007f04db92e000      4K rw--- libGLdispatch.so.0.0.0
00007f04db92f000    128K rw---   [ anon ]
00007f04db94f000     12K r---- libGLX.so.0.0.0
00007f04db952000     44K r-x-- libGLX.so.0.0.0
00007f04db95d000     12K r---- libGLX.so.0.0.0
00007f04db960000      4K ----- libGLX.so.0.0.0
00007f04db961000      4K r---- libGLX.so.0.0.0
00007f04db962000      4K rw--- libGLX.so.0.0.0
00007f04db963000    136K rw---   [ anon ]
00007f04db985000     28K r---- libpthread-2.29.so
00007f04db98c000     64K r-x-- libpthread-2.29.so
00007f04db99c000     20K r---- libpthread-2.29.so
00007f04db9a1000      4K r---- libpthread-2.29.so
00007f04db9a2000      4K rw--- libpthread-2.29.so
00007f04db9a3000     16K rw---   [ anon ]
00007f04db9a7000     20K r-x-- libxcb-util.so.1.0.0
00007f04db9ac000   2044K ----- libxcb-util.so.1.0.0
00007f04dbbab000      4K r---- libxcb-util.so.1.0.0
00007f04dbbac000      4K rw--- libxcb-util.so.1.0.0
00007f04dbbad000      4K r---- libxcb-shm.so.0.0.0
00007f04dbbae000      4K r-x-- libxcb-shm.so.0.0.0
00007f04dbbaf000      4K r---- libxcb-shm.so.0.0.0
00007f04dbbb0000      4K r---- libxcb-shm.so.0.0.0
00007f04dbbb1000      4K rw--- libxcb-shm.so.0.0.0
00007f04dbbb2000      4K r---- libdl-2.29.so
00007f04dbbb3000      8K r-x-- libdl-2.29.so
00007f04dbbb5000      4K r---- libdl-2.29.so
00007f04dbbb6000      4K r---- libdl-2.29.so
00007f04dbbb7000      4K rw--- libdl-2.29.so
00007f04dbbb8000     20K r-x-- libXdmcp.so.6.0.0
00007f04dbbbd000   2044K ----- libXdmcp.so.6.0.0
00007f04dbdbc000      4K r---- libXdmcp.so.6.0.0
00007f04dbdbd000      4K rw--- libXdmcp.so.6.0.0
00007f04dbdbe000      8K rw---   [ anon ]
00007f04dbdc0000      8K r-x-- libXau.so.6.0.0
00007f04dbdc2000   2048K ----- libXau.so.6.0.0
00007f04dbfc2000      4K r---- libXau.so.6.0.0
00007f04dbfc3000      4K rw--- libXau.so.6.0.0
00007f04dbfc4000    148K r---- libc-2.29.so
00007f04dbfe9000   1504K r-x-- libc-2.29.so
00007f04dc161000    292K r---- libc-2.29.so
00007f04dc1aa000     12K r---- libc-2.29.so
00007f04dc1ad000     12K rw--- libc-2.29.so
00007f04dc1b0000     16K rw---   [ anon ]
00007f04dc1b4000     44K r---- libdbus-1.so.3.19.10
00007f04dc1bf000    180K r-x-- libdbus-1.so.3.19.10
00007f04dc1ec000     84K r---- libdbus-1.so.3.19.10
00007f04dc201000      4K r---- libdbus-1.so.3.19.10
00007f04dc202000      4K rw--- libdbus-1.so.3.19.10
00007f04dc203000    268K r---- libGL.so.1.7.0
00007f04dc246000    124K r-x-- libGL.so.1.7.0
00007f04dc265000     84K r---- libGL.so.1.7.0
00007f04dc27a000      4K ----- libGL.so.1.7.0
00007f04dc27b000    104K r---- libGL.so.1.7.0
00007f04dc295000      4K rw--- libGL.so.1.7.0
00007f04dc296000      4K rw---   [ anon ]
00007f04dc297000      8K r---- libpcre.so.3.13.3
00007f04dc299000    328K r-x-- libpcre.so.3.13.3
00007f04dc2eb000    120K r---- libpcre.so.3.13.3
00007f04dc309000      4K r---- libpcre.so.3.13.3
00007f04dc30a000      4K rw--- libpcre.so.3.13.3
00007f04dc30b000      4K r---- libxdg-basedir.so.1.2.0
00007f04dc30c000      8K r-x-- libxdg-basedir.so.1.2.0
00007f04dc30e000      4K r---- libxdg-basedir.so.1.2.0
00007f04dc30f000      4K r---- libxdg-basedir.so.1.2.0
00007f04dc310000      4K rw--- libxdg-basedir.so.1.2.0
00007f04dc311000      8K rw---   [ anon ]
00007f04dc313000     40K r-x-- libconfig.so.9.2.0
00007f04dc31d000   2048K ----- libconfig.so.9.2.0
00007f04dc51d000      4K r---- libconfig.so.9.2.0
00007f04dc51e000      4K rw--- libconfig.so.9.2.0
00007f04dc51f000     40K r---- libpixman-1.so.0.36.0
00007f04dc529000    524K r-x-- libpixman-1.so.0.36.0
00007f04dc5ac000     64K r---- libpixman-1.so.0.36.0
00007f04dc5bc000     32K r---- libpixman-1.so.0.36.0
00007f04dc5c4000      4K rw--- libpixman-1.so.0.36.0
00007f04dc5c5000      4K r---- libxcb-present.so.0.0.0
00007f04dc5c6000      4K r-x-- libxcb-present.so.0.0.0
00007f04dc5c7000      4K r---- libxcb-present.so.0.0.0
00007f04dc5c8000      4K r---- libxcb-present.so.0.0.0
00007f04dc5c9000      4K rw--- libxcb-present.so.0.0.0
00007f04dc5ca000     12K r---- libxcb-xfixes.so.0.0.0
00007f04dc5cd000     12K r-x-- libxcb-xfixes.so.0.0.0
00007f04dc5d0000      4K r---- libxcb-xfixes.so.0.0.0
00007f04dc5d1000      4K ----- libxcb-xfixes.so.0.0.0
00007f04dc5d2000      4K r---- libxcb-xfixes.so.0.0.0
00007f04dc5d3000      4K rw--- libxcb-xfixes.so.0.0.0
00007f04dc5d4000      4K r---- libxcb-xinerama.so.0.0.0
00007f04dc5d5000      4K r-x-- libxcb-xinerama.so.0.0.0
00007f04dc5d6000      4K r---- libxcb-xinerama.so.0.0.0
00007f04dc5d7000      4K r---- libxcb-xinerama.so.0.0.0
00007f04dc5d8000      4K rw--- libxcb-xinerama.so.0.0.0
00007f04dc5d9000     16K r-x-- libxcb-image.so.0.0.0
00007f04dc5dd000   2044K ----- libxcb-image.so.0.0.0
00007f04dc7dc000      4K r---- libxcb-image.so.0.0.0
00007f04dc7dd000      4K rw--- libxcb-image.so.0.0.0
00007f04dc7de000      8K rw---   [ anon ]
00007f04dc7e0000      4K r---- libxcb-shape.so.0.0.0
00007f04dc7e1000      4K r-x-- libxcb-shape.so.0.0.0
00007f04dc7e2000      4K r---- libxcb-shape.so.0.0.0
00007f04dc7e3000      4K r---- libxcb-shape.so.0.0.0
00007f04dc7e4000      4K rw--- libxcb-shape.so.0.0.0
00007f04dc7e5000      4K r---- libxcb-composite.so.0.0.0
00007f04dc7e6000      4K r-x-- libxcb-composite.so.0.0.0
00007f04dc7e7000      4K r---- libxcb-composite.so.0.0.0
00007f04dc7e8000      4K r---- libxcb-composite.so.0.0.0
00007f04dc7e9000      4K rw--- libxcb-composite.so.0.0.0
00007f04dc7ea000     12K r---- libxcb-sync.so.1.0.0
00007f04dc7ed000     12K r-x-- libxcb-sync.so.1.0.0
00007f04dc7f0000      4K r---- libxcb-sync.so.1.0.0
00007f04dc7f1000      4K ----- libxcb-sync.so.1.0.0
00007f04dc7f2000      4K r---- libxcb-sync.so.1.0.0
00007f04dc7f3000      4K rw--- libxcb-sync.so.1.0.0
00007f04dc7f4000     28K r---- libxcb-randr.so.0.1.0
00007f04dc7fb000     20K r-x-- libxcb-randr.so.0.1.0
00007f04dc800000     12K r---- libxcb-randr.so.0.1.0
00007f04dc803000      4K ----- libxcb-randr.so.0.1.0
00007f04dc804000      4K r---- libxcb-randr.so.0.1.0
00007f04dc805000      4K rw--- libxcb-randr.so.0.1.0
00007f04dc806000      4K r---- libxcb-damage.so.0.0.0
00007f04dc807000      4K r-x-- libxcb-damage.so.0.0.0
00007f04dc808000      4K r---- libxcb-damage.so.0.0.0
00007f04dc809000      4K r---- libxcb-damage.so.0.0.0
00007f04dc80a000      4K rw--- libxcb-damage.so.0.0.0
00007f04dc80b000     20K r---- libxcb-render.so.0.0.0
00007f04dc810000     20K r-x-- libxcb-render.so.0.0.0
00007f04dc815000      8K r---- libxcb-render.so.0.0.0
00007f04dc817000      4K ----- libxcb-render.so.0.0.0
00007f04dc818000      4K r---- libxcb-render.so.0.0.0
00007f04dc819000      4K rw--- libxcb-render.so.0.0.0
00007f04dc81a000      8K rw---   [ anon ]
00007f04dc81c000     12K r-x-- libxcb-render-util.so.0.0.0
00007f04dc81f000   2044K ----- libxcb-render-util.so.0.0.0
00007f04dca1e000      4K r---- libxcb-render-util.so.0.0.0
00007f04dca1f000      4K rw--- libxcb-render-util.so.0.0.0
00007f04dca20000      4K r---- libX11-xcb.so.1.0.0
00007f04dca21000      4K r-x-- libX11-xcb.so.1.0.0
00007f04dca22000      4K r---- libX11-xcb.so.1.0.0
00007f04dca23000      4K r---- libX11-xcb.so.1.0.0
00007f04dca24000      4K rw--- libX11-xcb.so.1.0.0
00007f04dca25000     96K r---- libX11.so.6.3.0
00007f04dca3d000    544K r-x-- libX11.so.6.3.0
00007f04dcac5000    592K r---- libX11.so.6.3.0
00007f04dcb59000      4K ----- libX11.so.6.3.0
00007f04dcb5a000      4K r---- libX11.so.6.3.0
00007f04dcb5b000     16K rw--- libX11.so.6.3.0
00007f04dcb5f000     44K r---- libxcb.so.1.1.0
00007f04dcb6a000     76K r-x-- libxcb.so.1.1.0
00007f04dcb7d000     36K r---- libxcb.so.1.1.0
00007f04dcb86000      4K r---- libxcb.so.1.1.0
00007f04dcb87000      4K rw--- libxcb.so.1.1.0
00007f04dcb88000     12K r---- libev.so.4.0.0
00007f04dcb8b000     36K r-x-- libev.so.4.0.0
00007f04dcb94000     16K r---- libev.so.4.0.0
00007f04dcb98000      4K r---- libev.so.4.0.0
00007f04dcb99000      4K rw--- libev.so.4.0.0
00007f04dcb9a000     60K r---- libm-2.29.so
00007f04dcba9000    668K r-x-- libm-2.29.so
00007f04dcc50000    604K r---- libm-2.29.so
00007f04dcce7000      4K r---- libm-2.29.so
00007f04dcce8000      4K rw--- libm-2.29.so
00007f04dcce9000      8K rw---   [ anon ]
00007f04dccec000      4K rw-s- card0
00007f04dcced000      8K r---- libxcb-dri2.so.0.0.0
00007f04dccef000      8K r-x-- libxcb-dri2.so.0.0.0
00007f04dccf1000      4K r---- libxcb-dri2.so.0.0.0
00007f04dccf2000      4K r---- libxcb-dri2.so.0.0.0
00007f04dccf3000      4K rw--- libxcb-dri2.so.0.0.0
00007f04dccf4000      4K r---- LC_NUMERIC
00007f04dccf5000      4K r---- LC_TIME
00007f04dccf6000      4K r---- LC_MONETARY
00007f04dccf7000      4K r---- SYS_LC_MESSAGES
00007f04dccf8000      4K r---- LC_PAPER
00007f04dccf9000      4K r---- LC_NAME
00007f04dccfa000      4K r---- LC_ADDRESS
00007f04dccfb000      4K r---- LC_TELEPHONE
00007f04dccfc000      4K r---- LC_MEASUREMENT
00007f04dccfd000     28K r--s- gconv-modules.cache
00007f04dcd04000      4K r---- ld-2.29.so
00007f04dcd05000    140K r-x-- ld-2.29.so
00007f04dcd28000     32K r---- ld-2.29.so
00007f04dcd30000      4K r---- LC_IDENTIFICATION
00007f04dcd31000      4K r---- ld-2.29.so
00007f04dcd32000      4K rw--- ld-2.29.so
00007f04dcd33000      4K rw---   [ anon ]
00007ffdd93e2000    132K rw---   [ stack ]
00007ffdd94df000     12K r----   [ anon ]
00007ffdd94e2000      4K r-x--   [ anon ]
ffffffffff600000      4K r-x--   [ anon ]
 total           200500K

ps aux might be more helpful.

old:

$ ps aux | grep compton
rjl       1590  0.4  0.2 109588 32956 ?        R    12:47   0:40 /usr/bin/compton --dbus

new:

$ ps aux | grep compton
lubuntu   7956  0.4  0.2 199892 34016 pts/0    Sl+  20:33   0:00 compton

It definitely wasn't doing anything until I applied the preferences file (without any changes):

$ compton
[ 08/21/19 20:38:29.670 parse_config_libconfig WARN ] Option `no-dock-shadow` is deprecated, and will be removed. Please use the wintype option `shadow` of `dock` instead.
[ 08/21/19 20:38:29.670 parse_config_libconfig WARN ] Option `no-dnd-shadow` is deprecated, and will be removed. Please use the wintype option `shadow` of `dnd` instead.
[ 08/21/19 20:38:29.670 parse_config_libconfig WARN ] Option `menu-opacity` is deprecated, and will be removed.Please use the wintype option `opacity` of `popup_menu` and `dropdown_menu` instead.
[ 08/21/19 20:38:29.670 parse_config_libconfig WARN ] vsync option will take a boolean from now on. "none" is interpreted as "false" for compatibility, but this will stop working soon
[ 08/21/19 20:38:29.670 parse_config_libconfig WARN ] glx-swap-method has been deprecated since v6, your setting "undefined" should be removed.
[ 08/21/19 20:38:29.670 parse_config_libconfig WARN ] "clear-shadow" is removed as an option, and is always enabled now. Consider removing it from your config file
[ 08/21/19 20:38:29.670 parse_config_libconfig WARN ] "paint-on-overlay" has been removed as an option, and is enabled whenever possible
[ 08/21/19 20:38:29.670 parse_config_libconfig WARN ] "alpha-step" has been removed, compton now tries to make use of all alpha values

$ ps aux | grep compton
lubuntu   8083  0.2  0.2 200788 34780 pts/0    Sl+  20:38   0:00 compton

I'm playing with wxl/testy compton, and noted a

*Icon theme "elementary" not found.*

message displayed when I first run compton-conf [from qterminal] which was unexpected. This is a 19.10 install on vaiocrap (qa-test yesterday) and is thus pretty clean (nfs-common clementine chromium-browser added)

(a fgrep -r found loads of references to elementary, though /usr/share/pcmanfm-qt/lxqt/settings.conf could be why maybe)

So here's what we should probably have as required information for testing results:

  1. from lspci -nnk
    1. PCI ID of graphics card
    2. name of graphics card
    3. kernel module being used
  2. with ps -o rss -C compton | numfmt --header --field=1 --to=iec --padding=5, run under the same conditions and after the same amount of time elapsed since starting compton
    1. with old compton
    2. with new (PPA) compton
  3. The tests should be run under the following conditions
    1. with several windows open
    2. the same configuration, preferably with lots of opacity and transparency and shadows
  4. additional checks
    1. try youtube videos in full screen
    2. anything else graphic intensive: games, etc.
wxl edited projects, added Unknown Object (Project); removed Development Team.Aug 23 2019, 12:43 AM
wxl edited projects, added Development Team; removed Unknown Object (Project).

Just to put this out there, the Debian packaging is super behind (Standards-Version 3.9.7, debhelper 9) so the maintainer hasn't really been maintaining it. There's a FTCBFS with a patch from 2017 that hasn't been touched. There's also been some discussion about using the new fork with some options mentioned.

@wxl Your next step is filing a Request For Salvage bug in Debian. Let me know if you need any help, and I'll be happy to sponsor it if the process is complete.

To clarify: let's not sponsor this to Ubuntu first, let's get this in Debian first (the right way).

@hmollercl yes, in manjaro and arcolinux picom is the replacement to compton.

picom is in Groovy and beyond, so I'm changing the scope here.

wxl renamed this task from investigate yshui's compton fork to migrate from compton to picom.Jan 4 2021, 10:27 PM
wxl updated the task description. (Show Details)
wxl edited parent tasks, added: T172: Lubuntu 21.04; removed: T157: Unassigned tasks or without scope.
wxl removed wxl as the assignee of this task.Jan 6 2021, 5:19 PM
wxl updated the task description. (Show Details)

Unexpected behavior with lubuntu/daily-live/20210225/hirsute-desktop-amd64.iso:

Start picom, open the default terminal, set it to 50% transparency, and the whole application turns transparent - as opposed to just the text area.

See included screenshot for details:

The expected behavior is that just the text area should turn transparent. That was the behavior until recently, perhaps as early as today. I may not have noticed it for a day or two.

So a few things:

  • It seems now that running picom results in it not using the compton.conf, but effectively using a null config. That's an improvement.
  • There are two transparency options in QTerminal: application and terminal. Application (the first one) changes the entire application. Terminal changes just the text area. I was able to get both to work with picom running, so I think maybe that was just a misunderstanding there.

We will need to get this sorted out for 21.10

Some new thoughts about this issue.
I've been using picom delivered in hirsute it work with no problem. But there are a few thing to do be fore a full migration.

1.- We need to remove compton from seed or remove from lxqt-module, then we need to add picom as an lxqt-module.
This is to add a .desktop similar to /etc/xdg/autostart/lxqt-compton.desktop with:

# turned off by default
Hidden=true
OnlyShowIn=LXQt;
X-LXQt-Module=true

2.- At this time picom still can run with compton.conf file, but there are some compton config that are deprecated and some make picom failed to launch, example below. Moreover, using compton.conf instead of picom.conf gives a warning , so tey might deprecate that aalos. So we should modify compt-conf to use picom.conf. More need to be study for the entries that are supported by compton-conf to see if they are not deprecated, '
"menu-opacity" appears to be used.

[ 15/06/21 11:13:26.525 open_config_file_at WARN ] This compositor has been renamed to "picom", the old config file paths is deprecated. Please replace the "compton"s in the path with "picom"
[ 15/06/21 11:13:26.525 parse_config_libconfig WARN ] Option `no-dock-shadow` is deprecated, and will be removed. Please use the wintype option `shadow` of `dock` instead.
[ 15/06/21 11:13:26.525 parse_config_libconfig WARN ] Option `no-dnd-shadow` is deprecated, and will be removed. Please use the wintype option `shadow` of `dnd` instead.
[ 15/06/21 11:13:26.525 parse_config_libconfig WARN ] Option `menu-opacity` is deprecated, and will be removed.Please use the wintype option `opacity` of `popup_menu` and `dropdown_menu` instead.
[ 15/06/21 11:13:26.525 parse_config_libconfig WARN ] vsync option will take a boolean from now on. "opengl-swc" is interpreted as "true" for compatibility, but this will stop working soon
[ 15/06/21 11:13:26.525 parse_config_libconfig WARN ] glx-swap-method has been deprecated since v6, your setting "undefined" should be replaced by `use-damage = true`.
[ 15/06/21 11:13:26.525 parse_config_libconfig WARN ] "clear-shadow" is removed as an option, and is always enabled now. Consider removing it from your config file
[ 15/06/21 11:13:26.525 parse_config_libconfig ERROR ] "paint-on-overlay" has been removed as an option, and the feature is enabled whenever possible
[ 15/06/21 11:13:26.525 main FATAL ERROR ] Failed to create new session.

the "paint-on-overlay" make it failed to launch. And using compton.conf instead of picom.conf gives a warning.

3.- We should provide a picom.conf file that is compatible with picom.

Follow-up
menu-opacity is handled by compton-conf and there is no use for it in picom it was changed.
So, to configure picom we should fork and update compton-conf (c++ and qt skills) or make a new one maybe in pyqt with QSettings.